Upstream information

CVE-2019-6250 at MITRE

Description

A pointer overflow, with code execution, was discovered in ZeroMQ libzmq (aka 0MQ) 4.2.x and 4.3.x before 4.3.1. A v2_decoder.cpp zmq::v2_decoder_t::size_ready integer overflow allows an authenticated attacker to overwrite an arbitrary amount of bytes beyond the bounds of a buffer, which can be leveraged to run arbitrary code on the target system. The memory layout allows the attacker to inject OS commands into a data structure located immediately after the problematic buffer (i.e., it is not necessary to use a typical buffer-overflow exploitation technique that changes the flow of control).

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 9
Vector AV:N/AC:L/Au:S/C:C/I:C/A:C
Access Vector Network
Access Complexity Low
Authentication Single
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 8.8 7.2
Vector AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H AV:N/AC:L/PR:H/UI:N/S:U/C:H/I:H/A:H
Access Vector Network Network
Access Complexity Low Low
Privileges Required Low High
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
SUSE Bugzilla entries: 1121717 [RESOLVED / FIXED], 1122012 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Basesystem 15
  • libzmq5 >= 4.2.3-3.3.2
  • zeromq >= 4.2.3-3.3.2
  • zeromq-devel >= 4.2.3-3.3.2
Patchnames:
SUSE-SLE-Module-Basesystem-15-2019-110
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • libzmq5 >= 4.2.3-3.3.2
  • zeromq-devel >= 4.2.3-3.3.2
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP1 GA libzmq5
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
  • zeromq >= 4.2.3-3.3.2
  • zeromq-tools >= 4.2.3-3.3.2
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-2019-110
openSUSE Leap 15.0
  • libzmq5 >= 4.2.3-lp150.2.10.1
  • libzmq5-debuginfo >= 4.2.3-lp150.2.10.1
  • zeromq-debugsource >= 4.2.3-lp150.2.10.1
  • zeromq-devel >= 4.2.3-lp150.2.10.1
  • zeromq-tools >= 4.2.3-lp150.2.10.1
  • zeromq-tools-debuginfo >= 4.2.3-lp150.2.10.1
Patchnames:
openSUSE-2019-87
openSUSE Leap 42.3
  • libzmq5 >= 4.2.2-2.8.1
  • libzmq5-32bit >= 4.2.2-2.8.1
  • libzmq5-debuginfo >= 4.2.2-2.8.1
  • libzmq5-debuginfo-32bit >= 4.2.2-2.8.1
  • zeromq >= 4.2.2-2.8.1
  • zeromq-debugsource >= 4.2.2-2.8.1
  • zeromq-devel >= 4.2.2-2.8.1
  • zeromq-tools >= 4.2.2-2.8.1
  • zeromq-tools-debuginfo >= 4.2.2-2.8.1
Patchnames:
openSUSE-2019-64


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
CaaS Platform 1.0 zeromq Not affected
CaaS Platform 2.0 zeromq Not affected
CaaS Platform 3.0 zeromq Not affected
OpenStack Cloud Magnum Orchestration 7.0 zeromq Not affected
SUSE Linux Enterprise Client Tools for SUSE Manager 12 GA zeromq Not affected
SUSE Linux Enterprise Desktop 12 SP3 zeromq Not affected
SUSE Linux Enterprise Desktop 12 SP4 zeromq Not affected
SUSE Linux Enterprise Module for Advanced Systems Management 12 zeromq Not affected
SUSE Linux Enterprise Module for Basesystem 15 GA zeromq Released
SUSE Linux Enterprise SDK 12 SP3 zeromq Not affected
SUSE Linux Enterprise SDK 12 SP4 zeromq Not affected
SUSE Linux Enterprise Workstation Extension 12 SP3 zeromq Not affected
SUSE Linux Enterprise Workstation Extension 12 SP4 zeromq Not affected
SUSE Manager Proxy 3.0 zeromq Not affected
SUSE Manager Proxy 3.1 zeromq Not affected
SUSE Manager Proxy 3.2 zeromq Not affected
SUSE Manager Server 3.0 zeromq Not affected
SUSE Manager Server 3.1 zeromq Not affected
SUSE Manager Server 3.2 zeromq Not affected
SUSE Storage 4 zeromq Not affected
SUSE Storage 5 zeromq Not affected